EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • 上传
        • 任务片段与版本
          • 标注
            • 质量与任务
              • 检索
                • 工作流
                  • 算法
                    • 模型
                      • 产物与导出
                        • 计费与用量
                          • GET
                            List feature entitlements
                          • GET
                            List plans
                          • GET
                            List current for a subscription
                          • PATCH
                            Update a billing state
                          • GET
                            List invoice snapshots for a current
                          • POST
                            Create a invoice snapshot
                          • GET
                            List usage attestation for a current
                          • GET
                            List usage summary for a current
                          • GET
                            Usage for the current or previous UTC calendar month
                          • GET
                            List usage ledger
                          • GET
                            List usage meters
                          • GET
                            List usage summary
                          • GET
                            Team storage cap and optional money budget
                          • PUT
                            Set the team storage cap and optional money budget
                          • POST
                            Estimate time, meter units, and list price for a planned action
                        • 团队与治理
                          • 账号与通知
                            • Webhook 端点

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. 计费与用量
                              4. Estimate time, meter units, and list price for a planned action

                              Estimate time, meter units, and list price for a planned action

                              POST
                              /v1/usage/estimates
                              curl -X POST 'https://api.embodiflow.io/v1/usage/estimates' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "descriptor": "upload_plan",
                                  "uploadPlanId": "00000000-0000-0000-0000-000000000000",
                                  "workflowRevisionId": "00000000-0000-0000-0000-000000000000",
                                  "algorithmRevisionId": "00000000-0000-0000-0000-000000000000",
                                  "itemCount": 0,
                                  "recordedSeconds": 0,
                                  "projectVersionId": "00000000-0000-0000-0000-000000000000",
                                  "format": "string",
                                  "options": {},
                                  "modelImageRevisionId": "00000000-0000-0000-0000-000000000000",
                                  "flavor": "string",
                                  "steps": 0,
                                  "modelVersionId": "00000000-0000-0000-0000-000000000000",
                                  "split": "string",
                                  "episodeId": "00000000-0000-0000-0000-000000000000"
                                }'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              请求体

                              Content-Typeapplication/json
                              • descriptorstring必填
                                可选值
                                upload_plan
                                workflow_run
                                materialize
                                export
                                training
                                evaluation
                                try
                                endpoint_hour
                              • uploadPlanIdstring (uuid)
                              • workflowRevisionIdstring (uuid)
                              • algorithmRevisionIdstring (uuid)
                              • itemCountnumber
                              • recordedSecondsnumber
                              • projectVersionIdstring (uuid)
                              • formatstring
                              • optionsobject
                              • modelImageRevisionIdstring (uuid)
                              • flavorstring
                              • stepsnumber
                              • modelVersionIdstring (uuid)
                              • splitstring
                              • episodeIdstring (uuid)

                              响应

                              Success

                              • dataobject必填
                                • durationSecondsnumber必填
                                • unitsarray<UsageEstimateUnitDto>必填
                                • priceobject必填
                                • basisstring必填
                                  可选值
                                  coefficient
                                  history
                                  declared_resources
                                • evidencearray<string>必填
                                • limitCheckobject必填
                              响应示例
                              {
                                "data": {
                                  "durationSeconds": 0,
                                  "units": [
                                    {
                                      "meterCode": "string",
                                      "quantity": 0
                                    }
                                  ],
                                  "price": {
                                    "amountMinor": 0,
                                    "currency": "string"
                                  },
                                  "basis": "coefficient",
                                  "evidence": [
                                    "string"
                                  ],
                                  "limitCheck": {
                                    "wouldExceed": false,
                                    "remainingBytes": 0
                                  }
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              PUT /usage/budget

                              curl -X POST 'https://api.embodiflow.io/v1/usage/estimates' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "descriptor": "upload_plan",
                                  "uploadPlanId": "00000000-0000-0000-0000-000000000000",
                                  "workflowRevisionId": "00000000-0000-0000-0000-000000000000",
                                  "algorithmRevisionId": "00000000-0000-0000-0000-000000000000",
                                  "itemCount": 0,
                                  "recordedSeconds": 0,
                                  "projectVersionId": "00000000-0000-0000-0000-000000000000",
                                  "format": "string",
                                  "options": {},
                                  "modelImageRevisionId": "00000000-0000-0000-0000-000000000000",
                                  "flavor": "string",
                                  "steps": 0,
                                  "modelVersionId": "00000000-0000-0000-0000-000000000000",
                                  "split": "string",
                                  "episodeId": "00000000-0000-0000-0000-000000000000"
                                }'
                              响应示例
                              状态码
                              200
                              ​
                              {
                                "data": {
                                  "durationSeconds": 0,
                                  "units": [
                                    {
                                      "meterCode": "string",
                                      "quantity": 0
                                    }
                                  ],
                                  "price": {
                                    "amountMinor": 0,
                                    "currency": "string"
                                  },
                                  "basis": "coefficient",
                                  "evidence": [
                                    "string"
                                  ],
                                  "limitCheck": {
                                    "wouldExceed": false,
                                    "remainingBytes": 0
                                  }
                                }
                              }